Skip to main content

Unassign a role from an enterprise role

DELETE 

/nevisidm/api/core/v1/:clientExtId/eroles/:eroleExtId/roles/:roleExtId

Since: 2.75.2, 2.76.0

Required permission(s): AccessControl.EnterpriseRoleMemberDelete

Removes the application role with the given external ID from the enterprise role.

All user profiles that have this enterprise role assigned will automatically lose the removed role. This does not delete the role itself from the system.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    eroleExtId stringrequired

    External ID of the enterprise role.

    Example: erole-123
    roleExtId stringrequired

    External ID of the role to unassign.

    Example: role-123

Responses

Role unassigned successfully

Loading...